Bug 999912 - MATE document viewer (Atril): case-sensitive search impossible, DjVu search broken
MATE document viewer (Atril): case-sensitive search impossible, DjVu search b...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-document-viewer (Show other bugs)
19
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 07:13 EDT by Frantisek Hanzlik
Modified: 2014-03-30 02:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: mate-document-viewer-1.6.2-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-30 02:06:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Hanzlik 2013-08-22 07:13:01 EDT
Description of problem:
Any text document viewer _should_ be capable do (optional) case-sensitive search,
but it seems as Atril lacks this functionality, and searching is implemented somehow badly. Concretely:

- button/checkbox for specifying case-significant/caseless searching missing (tested on PDF and DjVu documents)

- entering text with upper-case character in "Find:" results to not finding
text in document, although this text is there! (tested with DjVu document)

Version-Release number of selected component (if applicable):
mate-document-viewer-1.6.1-5.fc19

Expected results:
Searching function should be able do at least optional case-sensitive/nonsensitive search, eventualy more advanced search options as searching text on word boundary, searching by regexp etc.

Broken searching in DJVU documents should be corrected (e.g. djview4 DjVu viewer search docoments without problems)
Comment 1 Wolfgang Ulbrich 2013-08-23 11:53:10 EDT
You should file out a issue report at upstream.
https://github.com/mate-desktop/mate-document-viewer/issues
Comment 2 Wolfgang Ulbrich 2013-10-11 08:06:44 EDT
Upstream is informed.
https://github.com/mate-desktop/mate-document-viewer/issues/41
Comment 3 Fedora Update System 2014-03-19 14:26:32 EDT
mate-document-viewer-1.6.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-document-viewer-1.6.2-2.fc20
Comment 4 Fedora Update System 2014-03-19 14:26:42 EDT
mate-document-viewer-1.6.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-document-viewer-1.6.2-2.fc19
Comment 5 Fedora Update System 2014-03-21 05:32:21 EDT
Package mate-document-viewer-1.6.2-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-document-viewer-1.6.2-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4148/mate-document-viewer-1.6.2-2.fc20
then log in and leave karma (feedback).
Comment 6 Frantisek Hanzlik 2014-03-21 06:56:54 EDT
Thanks for elimination this problem. It would be good if the version for F19 was available, as I have no F20 yet. Or I can try build F19 package yourself.
Comment 7 Wolfgang Ulbrich 2014-03-21 11:27:17 EDT
Follow link in comment 4 ;)
or use updates-testing.
Comment 8 Fedora Update System 2014-03-30 02:06:24 EDT
mate-document-viewer-1.6.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-03-30 02:09:00 EDT
mate-document-viewer-1.6.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.